Debian Bug report logs - #262161
ITP: ironpython -- a new Python implementation targeting the .NET and Mono platforms

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Thu, 29 Jul 2004 23:33:02 UTC

Owned by: Matthias Klose <doko@cs.tu-berlin.de>

Severity: wishlist

Tags: fixed-in-experimental

Merged with 339847

Done: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#262161; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: submit@bugs.debian.org
Subject: ITP: ironpython
Date: Fri, 30 Jul 2004 01:17:33 +0200
Package: wnpp
Severity: wishlist

IronPython is a new Python implementation targeting the .NET and Mono
platforms.

ronPython-0.6 is now available as Open Source Software under the
Common Public License version 1.0.

See http://www.ironpython.com/



Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#262161; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 262161@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: 262161@bugs.debian.org, justinpryzby@users.sourceforge.net
Subject: Re: Outstanding ITP - ironpython
Date: Sun, 2 Jan 2005 01:02:07 +0100
ITP still holds.

Justin Pryzby writes:
> This is a batch mailing regarding your stated ITP (Intent To Package)
> of the following Debian package; I apologize in advance if it is sent
> in error.
> 
> 	ironpython -- a new Python implementation targeting the .NET and Mono platforms
> 
> Do you still intend to create this package?  If so, please keep the
> bugtracking system informed of progress and delays.  ITPs which are
> just waiting for a sponsor should be tagged 'patch'; I recommend the
> bts script from the devscripts package.
> 
> If not, please retitle to RFP (Request For Package), or close the bug,
> as is appropriate.
> 
> Note that I'm not personally interested in this package; I just want
> to keep the WNPP area well-pruned.  Feel free to respond to me
> directly, though (but also Cc: the bug if appropriate).
> 
> Thanks, and Happy Y2K5,
> Justin
> 
> References
> [0] http://bugs.debian.org/262161



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#262161; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 262161@bugs.debian.org (full text, mbox):

From: Luke Kenneth Casson Leighton <lkcl@lkcl.net>
To: 262161@bugs.debian.org
Subject: packaging ironpython
Date: Thu, 24 Nov 2005 18:17:19 +0000
hi,

regarding this package - ironpython.

ironpython 0.9.4 _does_ work, _can_ be compiled, but you _do_ need the
very latest version of debian/testing mono compiler - 1.1.10 - and
associated libraries.

ironpython 0.6 only works with mono 1.1.9, and ironpython 0.6 does NOT
properly understand mono's System.XML: it fails to read XML documents
correctly, whereas 0.9.4 succeeds.

i presume that ironpython 0.9.5 may work, but i could not get it to
compile with mono 1.1.10.

now.

here's where people are going to get upset.

ironpython 0.9.4 and 0.9.5 is released under the [believed to
be OSI acceptable] open source "shared source" license.

_please_ do NOT consider this "unacceptable".

at the VERY least, please place the software in a "nonfree" or "contrib"
category rather than go "uhn.  microsoft wrote the shared source
license, therefore it's shit, therefore we're not having it".

ironpython is extremely powerful, and should not be placed down the
toilet just because of that.

thank you.

-- 
--
<a href="http://lkcl.net">http://lkcl.net</a>
--



Merged 262161 339847. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Matthias Klose <doko@cs.tu-berlin.de>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 262161-done@bugs.debian.org (full text, mbox):

From: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>
To: 262161-done@bugs.debian.org
Subject: IronPython is packaged but ITP was not closed
Date: Thu, 19 Apr 2007 15:07:24 -0500
[Message part 1 (text/plain, inline)]
The automatic scripts did not take care of closing this bug, since the
upload was to experimental. Closing now.

-- 
Rodrigo Gallardo
GPG-Fingerprint: 7C81 E60C 442E 8FBC D975  2F49 0199 8318 ADC9 BC28
[signature.asc (application/pgp-signature, inline)]

Reply sent to Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:05:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:47:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.